<ui:composition xmlns:rich="http://richfaces.org/rich"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            <s:div id="globalDiv">
                <h1>#{messages['net.ihe.gazelle.simulators.PamTestAutomatonExecutionList']}</h1>
                <ui:decorate template="/layout/panels/_panel_filter_criteria.xhtml">
                    <div class="row">
                        <div class="col-md-4">
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="filterWidth" value="240"/>
                                <ui:param name="filter" value="#{automatonListManager.filter}"/>
                                <ui:param name="filterId" value="graph"/>
                                <ui:param name="filterName" value="#{messages['net.ihe.gazelle.simulators.GraphName']}"/>
                                <ui:param name="filterForm" value="globalForm"/>
                            </ui:include>
                        </div>
                        <div class="col-md-4">
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="filterWidth" value="240"/>
                                <ui:param name="filter" value="#{automatonListManager.filter}"/>
                                <ui:param name="filterId" value="sut"/>
                                <ui:param name="filterName" value="#{messages['net.ihe.gazelle.simulators.SUTName']}"/>
                                <ui:param name="filterForm" value="globalForm"/>
                            </ui:include>
                        </div>
                        <div class="col-md-4">
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="filterWidth" value="240"/>
                                <ui:param name="filter" value="#{automatonListManager.filter}"/>
                                <ui:param name="filterId" value="fullEdgeCoverage"/>
                                <ui:param name="filterName" value="#{messages['net.ihe.gazelle.simulators.AllMovementsCoverage']}"/>
                                <ui:param name="filterForm" value="globalForm"/>
                            </ui:include>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <ui:include src="/filter/filterDate.xhtml">
                                <ui:param name="filterWidth" value="240"/>
                                <ui:param name="filter" value="#{automatonListManager.filter}"/>
                                <ui:param name="filterId" value="timestamp"/>
                                <ui:param name="filterName" value="#{messages['gazelle.HL7Common.TimeStamp']}"/>
                                <ui:param name="filterForm" value="globalDiv"/>
                            </ui:include>
                        </div>
                    </div>
                    <ui:define name="filter_buttons">
                        <a4j:commandLink title="#{messages['gazelle.pam.RefreshResults']}"
                                         render="globalForm">
                            <span class="gzl-icon-refresh"></span>
                        </a4j:commandLink>
                        <a4j:commandLink title="#{messages['gazelle.pam.ResetCriteria']}"
                                         actionListener="#{patientManager.reset()}"
                                         render="globalForm">
                            <span class="gzl-icon-times-circle"></span>
                        </a4j:commandLink>
                    </ui:define>
                </ui:decorate>
                <s:div id="tableDiv">
                    <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                        <ui:define name="panel_title">#{messages['gazelle.pam.Table']}</ui:define>
                        #{dataTableStateHolder.setDescendingOn('timestamp')}
                        <rich:dataTable id="automatonExecution"
                                        rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                        value="#{automatonListManager.getGraphExecutionResultsList()}"
                                        var="currentExecutionResults"
                                        render="ds">
                            <g:column id="graphExecutionId" sortBy="#{'timestamp'}"
                                      sortOrder="#{dataTableStateHolder.sortOrders['timestamp']}">
                                <ui:define name="header">#{messages['gazelle.HL7Common.TimeStamp']}</ui:define>
                                #{currentExecutionResults.timestamp}
                            </g:column>
                            <g:column sortBy="#{'graphExecution.graph.name'}">
                                <ui:define name="header">#{messages['net.ihe.gazelle.simulators.Graph']}</ui:define>
                                #{currentExecutionResults.graphExecution.graph.name}
                            </g:column>
                            <g:column sortBy="#{'graphExecution.sut.name'}">
                                <ui:define name="header">#{messages['gazelle.HL7Common.SutConfiguration']}</ui:define>
                                #{currentExecutionResults.graphExecution.sut.name}
                            </g:column>
                            <g:column sortBy="#{'graphExecution.fullEdgeCoverage'}">
                                <ui:define name="header">#{messages['net.ihe.gazelle.simulators.AllMovementsCoverage']}</ui:define>
                                #{currentExecutionResults.graphExecution.fullEdgeCoverage}
                            </g:column>
                            <g:column id="actionColumn">
                                <ui:define name="header">#{messages['gazelle.pam.Actions']}</ui:define>
                                <div class="gzl-never-wrap">
                                    <h:commandLink id="viewActionButton"
                                                   title="#{messages['net.ihe.gazelle.simulators.ViewGraphExecutionResults']}"
                                                   action="#{automatonListManager.displayGraphExecutionResults(currentExecutionResults)}"
                                                   oncomplete="jq162('#iconPopup').modal('show');">
                                        <span class="gzl-icon-search"></span>
                                    </h:commandLink>
                                </div>
                            </g:column>
                            <f:facet name="footer">
                                <ui:include src="/util/datatableFooter.xhtml">
                                    <ui:param name="dataScrollerId" value="ds"/>
                                    <ui:param name="dataTableId" value="automatonExecution"/>
                                </ui:include>
                            </f:facet>
                        </rich:dataTable>
                        <ui:define name="panel_footer">
                            <a4j:commandButton id="createNewGraphExecutionButton"
                                               oncomplete="#{rich:component('panelLoading')}.hide();"
                                               action="#{automatonListManager.createGraphExecutionResults()}"
                                               styleClass="gzl-btn-blue" value="#{messages['net.ihe.gazelle.simulators.CreateNewExecution']}"/>
                        </ui:define>
                    </ui:decorate>
                </s:div>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>
